ironic (1:24.1.1-0ubuntu1.1) noble; urgency=medium

  [ James Page ]
  * d/gbp.conf: Create stable/2024.1 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ Felipe Reyes ]
  * d/p/install-missing-files.patch: Install all data files under the ironic/
    directory (LP: #2073643).
  * d/p/install-missing-db-files.patch: Dropped in favor of
    d/p/install-missing-files.patch.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 26 Jul 2024 15:50:11 +0100

ironic (1:24.1.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:17:19 +0100

ironic (1:24.1.0-0ubuntu1) noble; urgency=medium

  [ Luciano Lo Giudice ]
  * New upstream release for OpenStack Caracal.

  [ James Page ]
  * d/watch: Track Caracal releases.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Wed, 20 Mar 2024 09:09:31 +0000

ironic (1:23.1.0+git2024011916.a374a0c1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 20:13:55 +0000

ironic (1:23.0.0-0ubuntu3) mantic; urgency=medium

  * d/control: Revert back to python3-pysnmp4 (Build-)Depends
    to prevent dependency conflicts in Mantic (LP: #2039055).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Oct 2023 09:44:41 -0400

ironic (1:23.0.0-0ubuntu2) mantic; urgency=medium

  * d/control: BD on latest python3-scciclient to fix autopkgtest failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Oct 2023 14:10:34 -0400

ironic (1:23.0.0-0ubuntu1) mantic; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:27:14 -0400

ironic (1:22.1.0+git2023090714.985c7fdf-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    ironic/db/sqlalchemy/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:20:03 -0400

ironic (1:22.0.0+git2023071214.416ea871-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:23:50 -0400

ironic (1:22.0.0+git2023061415.ce1abd40-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:02:38 -0400

ironic (1:21.4.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Fix Cinder Integration
      fallout from CVE-2023-2088
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 14:42:54 -0400

ironic (1:21.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:52:23 -0400

ironic (1:21.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Feb 2023 16:50:39 -0500

ironic (1:21.2.0+git2023011311.895ba325-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2023 11:11:54 -0500

ironic (1:21.1.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x.
  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:53:09 -0400

ironic (1:21.0.0+git2022091212.a171e588f-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:53:32 -0400

ironic (1:20.2.0+git2022071414.0c4401cfb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/ironic-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:07:21 -0400

ironic (1:20.2.0+git2022060209.34afea3af-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:53:55 -0400

ironic (1:20.1.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 17:04:02 -0400

ironic (1:20.0.0+git2022030313.4e6a3d52e-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/skip-test-py310.patch: Skip test for py310 until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:07:06 -0500

ironic (1:19.0.0+git2022011216.7beadee46-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/fix-mock-objects-as-specs.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:52:05 -0500

ironic (1:18.2.0+git2021120910.cdc3b9538-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-mock-objects-as-specs.patch: Fix mocking errors exposed
    by Python 3.10 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Dec 2021 12:45:16 -0500

ironic (1:18.2.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 18.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:34 +0000

ironic (1:18.1.0+git2021090814.a71ed5de2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

ironic (1:18.0.0+git2021072116.c71583fc8-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:52:24 -0400

ironic (1:18.0.0+git2021061112.1e2fa5c32-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:28 +0000

ironic (1:17.0.1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Apr 2021 13:57:02 -0400

ironic (1:16.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 14:41:29 -0400

ironic (1:16.1.0+git2021012507.4af9e4985-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:05:21 +0000

ironic (1:16.0.2+git2020120911.42bf964c8-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:58:36 -0500

ironic (1:16.0.1-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 13:27:13 +0000

ironic (1:16.0.0~b3~git2020091407.235506b00-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:11:40 +0000

ironic (1:16.0.0~b2~git2020073106.5176f98ef-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 06:27:25 +0000

ironic (1:16.0.0~b1~git2020070209.ab358e0b1-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/p/skip-py3-failure.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:25:56 -0400

ironic (1:15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/725857. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 13 May 2020 07:35:17 +0000

ironic (1:14.0.1~git2020041013.af9e6ba90-0ubuntu2) focal; urgency=medium

  * d/tests/ironic-daemons: increase sleep time between API http checks
    to allow more time for service to start, avoiding races on slower
    architectures.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 09:57:51 +0100

ironic (1:14.0.1~git2020041013.af9e6ba90-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/ironic-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:07:22 -0400

ironic (1:14.0.1~git2020032415.de2d907fc-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 15:12:51 -0400

ironic (1:14.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 12:17:57 -0500

ironic (1:14.0.0~b1~git2019121713.76597ca93-0ubuntu2) focal; urgency=medium

  * d/tests/control,ironic-daemons: Use MySQL for autopkgtest tests.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Feb 2020 11:31:04 +0000

ironic (1:14.0.0~b1~git2019121713.76597ca93-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat, d/ironic-common.install: Switch to
    debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py3-failure.patch: Skip py37/38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 13:18:26 -0500

ironic (1:13.0.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 10:22:35 +0100

ironic (1:13.0.0-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 15:11:46 -0400

ironic (1:12.2.1~b2~git2019080812.b8db11279-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Stick with python3-sphinxcontrib-pecanwsme >= 0.8.0 for now.
    The upstream commit for ironic mentions the bump to 0.10.0 was for sphinx
    2.0 and eoan is not there yet.
  * New upstream snapshot for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 12:39:39 -0400

ironic (1:12.2.0~b1~git2019061420.a3b875ab2-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Tidy lintian warnings.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 07:42:59 +0100

ironic (1:12.1.0-0ubuntu1) disco; urgency=medium

  * New upstream point release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:15:20 -0400

ironic (1:12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 15:39:20 +0000

ironic (1:12.0.0~b1~git2019013031.10bf5d5c2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 16:13:35 +0000

ironic (1:12.0.0~b1~git2018111912.8bf0d866a-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-async-py37.patch: Dropped. Fixed in upstream snapshot.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 12:57:26 -0500

ironic (1:11.1.0-0ubuntu6) disco; urgency=medium

  * d/p/fix-async-py37.patch: Cherry-pick from upstream master branch to drop
    use of async for variable/parameter names as it is a keyword in Python 3.7.
  * d/rules: Enable py37 unit tests.
  * d/control: Add python(3)-scciclient >= 0.8.0 to (Build-)Depends as it is
    needed for d/p/fix-async-py37.patch.
  * d/tests/ironic-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 14:00:26 -0500

ironic (1:11.1.0-0ubuntu5) cosmic; urgency=medium

  * d/tests/ironic-daemons: Increase timeout before curl as arm64 tests
    are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 10:42:43 -0400

ironic (1:11.1.0-0ubuntu4) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/ironic-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Sep 2018 08:07:41 -0400

ironic (1:11.1.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: All common files are installed by ironic-common. Only have
      python(3)-ironic depend on ironic-common. Other packages that used to
      depend on ironic-common now depend on python-ironic | python3-ironic.
    - d/control: Drop python(3)-ironic conflicts on each other.
    - d/python(3)-ironic.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 14:29:23 -0400

ironic (1:11.1.0-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-ironic package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-ironic Depends.
    - d/control: Make python(3)-ironic conflict against each other.
    - d/control: Drop obsolete XS-Testsuite: autopkgtest header.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Skip Py3.7 tests for now until upstream bug is fixed.
    - d/python-ironic.install: Dropped, not needed.
    - d/ironic-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-ironic.post*, d/python(3)-ironic.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for ironic daemons and add shebang tests.
    - d/tests/ironic-daemons: Use curl to test API.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Aug 2018 12:30:26 -0400

ironic (1:11.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 14:31:35 -0400

ironic (1:10.1.3-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 10:50:17 -0400

ironic (1:10.1.1-0ubuntu2) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.seqdiag to enable
    backport to queens cloud-archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Mar 2018 16:36:42 -0400

ironic (1:10.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:06:32 -0500

ironic (1:10.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules, d/control, d/p/set_config_defaults.patch: Generate
    ironic.conf and set defaults with crudini.
  * d/ironic-common.install: Drop install of policy.json inline with
    upstream move to policy in code.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:51:49 -0500

ironic (1:10.0.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/*: Drop redundant patches, rebase.
  * New upstream snapshot.

  [ Corey Bryant ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-api.install: Install new WSGI script ironic-api-wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:41:46 -0500

ironic (1:9.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10 and drop dh-systemd.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/set_config_defaults.patch: Rebased.
  * d/p/add-9.2-to-release-mappings.patch: Cherry-picked from upstream
    master to add 9.2 release mappings which are needed for rolling upgrades.
  * d/ironic-common.install: Align with upstream install paths.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 13:05:55 -0500

ironic (1:9.1.0-0ubuntu2) artful; urgency=medium

  * d/ironic-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:33:57 -0400

ironic (1:9.1.0-0ubuntu1) artful; urgency=medium

  * New upstream point release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 21:22:23 -0400

ironic (1:9.0.1-0ubuntu1) artful; urgency=medium

  * New upstream point release for OpenStack Pike.
  * d/p/add-9.0-to-release_mappings.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:08:54 -0400

ironic (1:9.0.0-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/control: Add (Build-)Depends on python-rfc3986.
  * New snapshot.
  * d/control: Add (Build-)Depends on python-oslo.reports.

  [ Corey Bryant ]
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/add-9.0-to-release_mappings.patch: Cherry-picked patch from master
    to enable rolling upgrades for 9.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:03:44 -0400

ironic (1:8.0.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:05:35 +0100

ironic (1:8.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 14:50:12 +0100

ironic (1:7.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Add python-tooz 
  * New usptream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 10:39:40 -0500

ironic (1:6.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:40:20 -0400

ironic (1:6.2.0-0ubuntu2) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * d/control: Drop os-api-ref from BDs as it's not needed for package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Sep 2016 11:43:59 -0400

ironic (1:6.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:27:19 -0400

ironic (1:6.1.0-0ubuntu4) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure correct ownership of /var/lib/ironic
    prior to creation of sqlite database.
  * d/control,d/tests/*: Add basic install autopkgtest.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 21:31:05 +0100

ironic (1:6.1.0-0ubuntu3) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure dbsync gets run as ironic, avoiding
    log files owned by root user (LP: #1450942).
  * d/control: Fixup typo in 'libaries' (LP: #1451139).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 12:33:17 +0100

ironic (1:6.1.0-0ubuntu2) yakkety; urgency=medium

  * d/control: Add ipmitool to Depends of ironic-conductor (LP: #1572800).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 11:28:47 +0100

ironic (1:6.1.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control: Bump minimum version requirements inline with upstream.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 15:59:45 -0400

ironic (1:6.0.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with ostestr.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jul 2016 09:44:17 -0400

ironic (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 14:30:47 -0400

ironic (1:4.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 11:54:12 -0500

ironic (1:4.2.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 11:43:31 +0100

ironic (1:4.1.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/p/drop-objectlistbase.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 11:48:17 +0100

ironic (1:4.0.0-0ubuntu3) wily; urgency=medium

  * d/control: Add runtime depedency on python-pymysql to ensure that
    upgrades from mysqldb work correctly.
  * d/p/drop-objectlistbase.patch: Drop ObjectListBase inline with
    upstream master branch, resolving FTBFS with oslo.versionedobjects
    0.8.0.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Sep 2015 13:25:18 +0100

ironic (1:4.0.0-0ubuntu2) wily; urgency=medium

  * d/control: Drop version requirement on python-pbr, resolving
    installability issues.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 09:40:14 +0100

ironic (1:4.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack liberty.
  * d/watch: Update to use tarballs.openstack.org.
  * Update (Build-)-Depends: for new upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 09:04:43 +0100

ironic (2015.1.0-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:47:17 +0100

ironic (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * debian/ironic-common.install: Dropped ironic-nova-bm-migrate. 

  [ JJ Asghar ] 
  * d/ironic-conductor.init.in: ironic-api -> ironic-conductor
    (LP: #1429962). 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:50:22 -0400

ironic (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align with upstream dependencies
    - d/p/fix-requirements.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Apr 2015 09:28:31 -0400

ironic (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    + d/control: 
      - Align with upstream dependencies.
      - Add dh-python to build-dependencies.
      - Add psmisc as a dependency. (LP: #1358820)
    + d/p/fix-requirements.patch: Rediffed.
    + d/ironic-conductor.init.in: Fixed typos in LSB headers,
      thanks to JJ Asghar. (LP: #1429962)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Mar 2015 11:14:57 +0100

ironic (2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Added to drop websockify.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 11:35:18 -0500

ironic (2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:24:34 +0000

ironic (2015.1~b1-0ubuntu3) vivid; urgency=medium

  * No change rebuild to fixup detection of pysendfile dependency. 

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 16:05:29 +0000

ironic (2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Chuck Short ]
  * d/control: Update bzr branch locations.

  [ James Page ]  
  * d/pydist-overrides: Drop pysendfile from overrides to ensure that
    dependencies are correctly generated (LP: #1391960). 
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick pkgos template configurations from
      Debian cinder package (thanks Thomas).
    - d/*.upstart: Drop in preference to generated files.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 09:39:03 +0000

ironic (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * New upstream beta release:
    - d/control: Align version requirements with upstream release.
  * d/watch: Update uversionmangle to deal with kilo beta versioning
    changes.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jan 2015 12:21:37 +0000

ironic (2014.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 17:02:24 -0400

ironic (2014.2~rc2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Oct 2014 16:13:56 -0400

ironic (2014.2~rc1-0ubuntu1) utopic; urgency=medium

  [ Adam Gandelman ]
  * New upstream release.
  * debian/patches/set_logdir.patch: Renamed to set_config_defaults.patch,
    also set default sqlite db connection.
  * debian/control: Refreshed dependencies for Juno, wrap-and-sort.
  * debian/ironic-common.install: Added ironic-nova-bm-migrate binary.
  * debian/ironic-common.postinst: Create the default sqlite database if
    configured to use it and it does not exist.
  * debian/pydist-overrides: Add pysendfile.
  * debian/ironic_sudoers: Add rootwrap.conf (LP: #1185019).

  [ James Page ]
  * d/rules,control: Increase test verbosity using subunit.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 30 Sep 2014 10:44:08 -0700

ironic (2014.2~b1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/set_logdir.patch: Refreshed.
  * debian/control: Add python-oslo.messaging
  * debian/control: Add python-sendfile.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Jul 2014 08:29:14 -0400

ironic (2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Adam Gandelman ]
  * debian/ironic-common.postinst: Fix syntax preventing postinst
    from running.
  * debian/ironic-api.install: Create missing .install, install
    ironic-api to /usr/bin/ironic-api.
  * debian/patches/set_logdir.patch: Set log_dir to /var/log/ironic/ in
    sample config, causing both daemons to log to respective files there.
  * debian/{rules, ironic-common.install}: Install ironic.conf.sample
    as /etc/ironic/ironic.conf.
  * Fail build if test suite fails, limit testing concurrency to 1.
  * debian/control: Add missing alembic, python-lockfile dependencies.

  [ James Page ]
  * d/control: Add Vcs-* fields for ubuntu-server-dev branches.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 04 Apr 2014 11:54:02 -0700

ironic (2014.1~b3-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - debian/patches/fix-requirements.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 13:23:35 -0500

ironic (2014.1~b2-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control: Add python-oslo.rootwrap.
  * debian/patches/fix-requirements.patch: Adjust dependencies
    for sqlalchemy and webob.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Jan 2014 09:44:07 -0500

ironic (0.0~git20140117-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Jan 2014 09:47:33 -0500
